curl --request POST \
--url https://api.mudstack.com/workspaces/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--form file='@example-file' \
--form 'body={
"file_location": "<string>",
"name": "<string>",
"description": "<string>"
}'import requests
url = "https://api.mudstack.com/workspaces/assets"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "body": "{
\"file_location\": \"<string>\",
\"name\": \"<string>\",
\"description\": \"<string>\"
}" }
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('body', '{
"file_location": "<string>",
"name": "<string>",
"description": "<string>"
}');
const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
options.body = form;
fetch('https://api.mudstack.com/workspaces/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"asset_type_id": "<string>",
"status_id": "<string>",
"isActive": true,
"created_by_user_id": "<string>",
"locked_by_user_id": "<string>",
"file_name": "<string>",
"file_location": "<string>",
"current_version_id": "<string>",
"sequence": 123,
"currentVersion": {
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"thumbnail_file_id": "<string>",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"size": 123,
"version_number": 123,
"sequence": 123,
"checksum": "<string>",
"commit_parent_id": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"version": {
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"thumbnail_file_id": "<string>",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"size": 123,
"version_number": 123,
"sequence": 123,
"checksum": "<string>",
"commit_parent_id": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"versions": [
{
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"thumbnail_file_id": "<string>",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"size": 123,
"version_number": 123,
"sequence": 123,
"checksum": "<string>",
"commit_parent_id": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
}
],
"collaborators": [
{
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
],
"favorited": true,
"tags": [
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"created_by_user_id": "<string>",
"sequence": 123
}
],
"libraries": [
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_file_id": "<string>",
"defaultAvatar": 123,
"created_by_user_id": "<string>",
"sequence": 123
}
],
"reviewRequests": [
{
"workspace_id": "<string>",
"asset_id": "<string>",
"asset_version_id": "<string>",
"requestor_id": "<string>",
"user_id": "<string>",
"review_id": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
},
"requestor": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
},
"asset": "<unknown>",
"version": {
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"thumbnail_file_id": "<string>",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"size": 123,
"version_number": 123,
"sequence": 123,
"checksum": "<string>",
"commit_parent_id": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"review": {
"id": "<string>",
"asset_id": "<string>",
"asset_version_id": "<string>",
"user_id": "<string>",
"assigned_user_id": "<string>",
"content": "<string>",
"mentions": [
"<string>"
],
"viewer_metadata": {},
"attachments": [
{
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"file_id": "<string>",
"thumbnail_file_id": "<string>",
"review_id": "<string>",
"comment_id": "<string>",
"name": "<string>",
"description": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
}
],
"version": {
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"thumbnail_file_id": "<string>",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"size": 123,
"version_number": 123,
"sequence": 123,
"checksum": "<string>",
"commit_parent_id": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
},
"assignee": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
},
"workspace_id": "<string>"
}
}
],
"assetType": {
"id": "<string>",
"name": "<string>",
"displayType": "<string>",
"color": "<string>",
"generic": true,
"knownExtensions": [
"<string>"
]
},
"assetStatus": {
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"rank": "<string>",
"created_by_user_id": "<string>"
}
}Create or update asset
Creates a new asset or updates an existing one.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The created or updated asset
Unique identifier for the asset
Identifier for the workspace to which the asset belongs
Name of the asset
Identifier for the type of the asset
(Optional) Identifier for the status of the asset
Indicates if the asset is active
Identifier for the user who created the asset
Identifier for the user who locked the asset
Name of the file associated with the asset
Location of the file associated with the asset
Identifier for the current version of the asset
Sequence number of the asset
(Optional) Current version of the asset
Show child attributes
Show child attributes
(Optional) Version of the asset
Show child attributes
Show child attributes
(Optional) List of versions of the asset
Show child attributes
Show child attributes
(Optional) List of collaborators for the asset
Show child attributes
Show child attributes
(Optional) Indicates if the asset is favorited or a list of favorite assets
(Optional) List of tags associated with the asset
Show child attributes
Show child attributes
(Optional) List of libraries associated with the asset
Show child attributes
Show child attributes
(Optional) List of review requests for the asset
Show child attributes
Show child attributes
(Optional) Type of the asset
Show child attributes
Show child attributes
(Optional) Status of the asset
Show child attributes
Show child attributes
Was this page helpful?